Last Comment Bug 673955 - "Missing profile" when relative path specified to profile command line option
: "Missing profile" when relative path specified to profile command line option
Status: RESOLVED INCOMPLETE
:
Product: Core Graveyard
Classification: Graveyard
Component: Profile: BackEnd (show other bugs)
: Trunk
: All Mac OS X
: -- minor with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-25 09:58 PDT by Marc-Aurèle DARCHE
Modified: 2016-04-04 08:49 PDT (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Marc-Aurèle DARCHE 2011-07-25 09:58:07 PDT
A "Missing profile" popup alert is displayed when a relative path is specified to the "-profile" Firefox command line option.

This works OK if the profile path is an absolute path.

This works:
$ arch -i386 /Applications/Firefox-Aurora.app/Contents/MacOS/firefox-bin -profile /Users/hop/Library/Application\ Support/Firefox/Profiles/xq1q5l07.XXX/

This doesn't work:
$ cd /Users/hop
$ arch -i386 /Applications/Firefox-Aurora.app/Contents/MacOS/firefox-bin -profile Library/Application\ Support/Firefox/Profiles/xq1q5l07.XXX/

Being able to specify relative paths is useful for example when running tests.

Firefox accepts both absolute and relative paths on Linux and Windows, from Firefox 5.0 up to Aurora (7.0a2), which is what made conclude of a buggy behavior.
Comment 1 Marc-Aurèle DARCHE 2011-07-28 00:38:46 PDT
I have done more tests and can say now that this regression appeared on Mac between Firefox 3.6 and Firefox 4.0: Firefox 3.6 was accepting relative path profiles, while starting with Firefox 4.0 relative path profiles are not accepted anymore.
Comment 2 Benjamin Smedberg [:bsmedberg] 2016-04-01 08:48:53 PDT
This bug is filed in a bugzilla component related to pre-Firefox code which no longer exists. I believe it is no longer relevant and I am therefore closing it INCOMPLETE.

If you believe that this bug is still valid and needs to be fixed, please reopen it and move it to the Toolkit:Startup and Profile System product/component.

Note You need to log in before you can comment on or make changes to this bug.